/hardware-rental-items-post-one¶
Summary¶
Source repository:
jef-systems/jef-hardware-backendSource SHA:
61af4e71dbca0b2ddf0490d03bb53fe1ee254027Source run id:
29186391370Lambda function:
jef-hardware-post-005HTTP method:
POSTAPI path:
/hardware-rental-items-post-oneCloudflare path:
/hardware/async-post/hardware-rental-items-post-oneEndpoint URL:
https://api.jefoffice.com/hardware/async-post/hardware-rental-items-post-oneCloudflare base URL:
https://api.jefoffice.com/hardware/async-postCloudflare parent path:
/hardwareCloudflare scope:
async-postCloudflare scope path:
/hardware/async-postCloudflare mode:
one-worker-for-lambda-async-postCloudflare Worker:
jef-hardware-lambda-async-postCloudflare Worker route:
api.jefoffice.com/hardware/async-post/\*Payload mode:
json-body
Description¶
|
jef-hardware-post-005 Logical ID: jef-hardware:jef-hardware-rental-items:post-one Order Number: 004 |
|
jef-hardware |
|
post-one |
|
POST |
|
ASYNC |
|
/hardware-rental-items-post-one Endpoint Name: jef-hardware-rental-items-post-one |
|
jef-hardware-rental-items |
|
rental_item_id |
API Gateway Response¶
|
202 |
|
Request accepted for asynchronous processing. |
Payload Example¶
|
f4f98c59-c443-4b5d-9b3f-3b28530566b5 |
|
e303d34b-9c53-4a9d-a8b8-24534b5294c9 |
|
3a20cd58-8524-4762-bd84-d361b70026f6 |
|
1540c80e-16ea-45dd-9f5d-0e3fc8470c0b |
|
1 |
|
Sample Name |
|
value-001 |
|
value-001 |
|
1 |
|
1 |
|
1 |
|
value-001 |
|
2026-07-12T08:46:37Z |
|
value-001 |
|
2026-07-12T08:46:37Z |
|
2026-07-12T08:46:37Z |
|
2026-07-12T08:46:37Z |
Payload Schema¶
{
"type": "object",
"additionalProperties": "False",
"payload_mode": "flat",
"allow_children_wrapper": "False",
"children_wrapper_field": "",
"allow_batch": "False",
"table": "jef-hardware-rental-items",
"primary_key": "rental_item_id",
"required[0]": "rental_id",
"required[1]": "store_id",
"required[2]": "toolbox_id",
"required[3]": "line_number",
"required[4]": "equipment_name",
"required[5]": "category",
"required[6]": "included_items_text",
"required[7]": "rate_per_day",
"required[8]": "days",
"required[9]": "qr_value",
"required[10]": "expected_return_at",
"required[11]": "rental_item_status",
"properties.rental_item_id.field": "rental_item_id",
"properties.rental_item_id.type": "S",
"properties.rental_item_id.required": "False",
"properties.rental_item_id.source_required": "True",
"properties.rental_item_id.server_generated": "True",
"properties.rental_item_id.autogenerated": "False",
"properties.rental_item_id.frontend_autocomputed": "False",
"properties.rental_item_id.format": "uuidv4",
"properties.rental_item_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"properties.rental_id.field": "rental_id",
"properties.rental_id.type": "S",
"properties.rental_id.required": "True",
"properties.rental_id.source_required": "True",
"properties.rental_id.server_generated": "True",
"properties.rental_id.autogenerated": "False",
"properties.rental_id.frontend_autocomputed": "False",
"properties.rental_id.format": "uuidv4",
"properties.rental_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"properties.store_id.field": "store_id",
"properties.store_id.type": "S",
"properties.store_id.required": "True",
"properties.store_id.source_required": "True",
"properties.store_id.server_generated": "True",
"properties.store_id.autogenerated": "False",
"properties.store_id.frontend_autocomputed": "False",
"properties.store_id.format": "uuidv4",
"properties.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"properties.toolbox_id.field": "toolbox_id",
"properties.toolbox_id.type": "S",
"properties.toolbox_id.required": "True",
"properties.toolbox_id.source_required": "True",
"properties.toolbox_id.server_generated": "False",
"properties.toolbox_id.autogenerated": "False",
"properties.toolbox_id.frontend_autocomputed": "False",
"properties.toolbox_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"properties.line_number.field": "line_number",
"properties.line_number.type": "N",
"properties.line_number.required": "True",
"properties.line_number.source_required": "True",
"properties.line_number.server_generated": "False",
"properties.line_number.autogenerated": "False",
"properties.line_number.frontend_autocomputed": "False",
"properties.line_number.regex": "^\\d+$",
"properties.equipment_name.field": "equipment_name",
"properties.equipment_name.type": "S",
"properties.equipment_name.required": "True",
"properties.equipment_name.source_required": "True",
"properties.equipment_name.server_generated": "False",
"properties.equipment_name.autogenerated": "False",
"properties.equipment_name.frontend_autocomputed": "False",
"properties.equipment_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
"properties.category.field": "category",
"properties.category.type": "S",
"properties.category.required": "True",
"properties.category.source_required": "True",
"properties.category.server_generated": "False",
"properties.category.autogenerated": "False",
"properties.category.frontend_autocomputed": "False",
"properties.category.regex": "^[A-Za-z0-9_-]{1,64}$",
"properties.included_items_text.field": "included_items_text",
"properties.included_items_text.type": "S",
"properties.included_items_text.required": "True",
"properties.included_items_text.source_required": "True",
"properties.included_items_text.server_generated": "False",
"properties.included_items_text.autogenerated": "False",
"properties.included_items_text.frontend_autocomputed": "False",
"properties.included_items_text.regex": "^.{0,500}$",
"properties.rate_per_day.field": "rate_per_day",
"properties.rate_per_day.type": "N",
"properties.rate_per_day.required": "True",
"properties.rate_per_day.source_required": "True",
"properties.rate_per_day.server_generated": "False",
"properties.rate_per_day.autogenerated": "False",
"properties.rate_per_day.frontend_autocomputed": "False",
"properties.rate_per_day.regex": "^-?\\d+(\\.\\d+)?$",
"properties.days.field": "days",
"properties.days.type": "N",
"properties.days.required": "True",
"properties.days.source_required": "True",
"properties.days.server_generated": "False",
"properties.days.autogenerated": "False",
"properties.days.frontend_autocomputed": "False",
"properties.days.regex": "^\\d+$",
"properties.subtotal.field": "subtotal",
"properties.subtotal.type": "N",
"properties.subtotal.required": "False",
"properties.subtotal.source_required": "True",
"properties.subtotal.server_generated": "False",
"properties.subtotal.autogenerated": "False",
"properties.subtotal.frontend_autocomputed": "True",
"properties.subtotal.regex": "^-?\\d+(\\.\\d+)?$",
"properties.qr_value.field": "qr_value",
"properties.qr_value.type": "S",
"properties.qr_value.required": "True",
"properties.qr_value.source_required": "True",
"properties.qr_value.server_generated": "False",
"properties.qr_value.autogenerated": "False",
"properties.qr_value.frontend_autocomputed": "False",
"properties.qr_value.regex": "^[A-Za-z0-9_-]{1,64}$",
"properties.expected_return_at.field": "expected_return_at",
"properties.expected_return_at.type": "S",
"properties.expected_return_at.required": "True",
"properties.expected_return_at.source_required": "True",
"properties.expected_return_at.server_generated": "True",
"properties.expected_return_at.autogenerated": "False",
"properties.expected_return_at.frontend_autocomputed": "False",
"properties.expected_return_at.format": "iso8601",
"properties.expected_return_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"properties.rental_item_status.field": "rental_item_status",
"properties.rental_item_status.type": "S",
"properties.rental_item_status.required": "True",
"properties.rental_item_status.source_required": "True",
"properties.rental_item_status.server_generated": "False",
"properties.rental_item_status.autogenerated": "False",
"properties.rental_item_status.frontend_autocomputed": "False",
"properties.rental_item_status.regex": "^[A-Za-z0-9_-]{1,64}$",
"properties.created.field": "created",
"properties.created.type": "S",
"properties.created.required": "False",
"properties.created.source_required": "True",
"properties.created.server_generated": "True",
"properties.created.autogenerated": "False",
"properties.created.frontend_autocomputed": "False",
"properties.created.format": "iso8601",
"properties.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"properties.updated.field": "updated",
"properties.updated.type": "S",
"properties.updated.required": "False",
"properties.updated.source_required": "True",
"properties.updated.server_generated": "True",
"properties.updated.autogenerated": "False",
"properties.updated.frontend_autocomputed": "False",
"properties.updated.format": "iso8601",
"properties.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"properties.deleted_at.field": "deleted_at",
"properties.deleted_at.type": "S",
"properties.deleted_at.required": "False",
"properties.deleted_at.source_required": "False",
"properties.deleted_at.server_generated": "True",
"properties.deleted_at.autogenerated": "False",
"properties.deleted_at.frontend_autocomputed": "False",
"properties.deleted_at.format": "iso8601",
"properties.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"children": "[]",
"root.type": "object",
"root.attributes.rental_item_id.field": "rental_item_id",
"root.attributes.rental_item_id.type": "S",
"root.attributes.rental_item_id.required": "False",
"root.attributes.rental_item_id.source_required": "True",
"root.attributes.rental_item_id.server_generated": "True",
"root.attributes.rental_item_id.autogenerated": "False",
"root.attributes.rental_item_id.frontend_autocomputed": "False",
"root.attributes.rental_item_id.format": "uuidv4",
"root.attributes.rental_item_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.rental_id.field": "rental_id",
"root.attributes.rental_id.type": "S",
"root.attributes.rental_id.required": "True",
"root.attributes.rental_id.source_required": "True",
"root.attributes.rental_id.server_generated": "True",
"root.attributes.rental_id.autogenerated": "False",
"root.attributes.rental_id.frontend_autocomputed": "False",
"root.attributes.rental_id.format": "uuidv4",
"root.attributes.rental_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.store_id.field": "store_id",
"root.attributes.store_id.type": "S",
"root.attributes.store_id.required": "True",
"root.attributes.store_id.source_required": "True",
"root.attributes.store_id.server_generated": "True",
"root.attributes.store_id.autogenerated": "False",
"root.attributes.store_id.frontend_autocomputed": "False",
"root.attributes.store_id.format": "uuidv4",
"root.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.toolbox_id.field": "toolbox_id",
"root.attributes.toolbox_id.type": "S",
"root.attributes.toolbox_id.required": "True",
"root.attributes.toolbox_id.source_required": "True",
"root.attributes.toolbox_id.server_generated": "False",
"root.attributes.toolbox_id.autogenerated": "False",
"root.attributes.toolbox_id.frontend_autocomputed": "False",
"root.attributes.toolbox_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.line_number.field": "line_number",
"root.attributes.line_number.type": "N",
"root.attributes.line_number.required": "True",
"root.attributes.line_number.source_required": "True",
"root.attributes.line_number.server_generated": "False",
"root.attributes.line_number.autogenerated": "False",
"root.attributes.line_number.frontend_autocomputed": "False",
"root.attributes.line_number.regex": "^\\d+$",
"root.attributes.equipment_name.field": "equipment_name",
"root.attributes.equipment_name.type": "S",
"root.attributes.equipment_name.required": "True",
"root.attributes.equipment_name.source_required": "True",
"root.attributes.equipment_name.server_generated": "False",
"root.attributes.equipment_name.autogenerated": "False",
"root.attributes.equipment_name.frontend_autocomputed": "False",
"root.attributes.equipment_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
"root.attributes.category.field": "category",
"root.attributes.category.type": "S",
"root.attributes.category.required": "True",
"root.attributes.category.source_required": "True",
"root.attributes.category.server_generated": "False",
"root.attributes.category.autogenerated": "False",
"root.attributes.category.frontend_autocomputed": "False",
"root.attributes.category.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.included_items_text.field": "included_items_text",
"root.attributes.included_items_text.type": "S",
"root.attributes.included_items_text.required": "True",
"root.attributes.included_items_text.source_required": "True",
"root.attributes.included_items_text.server_generated": "False",
"root.attributes.included_items_text.autogenerated": "False",
"root.attributes.included_items_text.frontend_autocomputed": "False",
"root.attributes.included_items_text.regex": "^.{0,500}$",
"root.attributes.rate_per_day.field": "rate_per_day",
"root.attributes.rate_per_day.type": "N",
"root.attributes.rate_per_day.required": "True",
"root.attributes.rate_per_day.source_required": "True",
"root.attributes.rate_per_day.server_generated": "False",
"root.attributes.rate_per_day.autogenerated": "False",
"root.attributes.rate_per_day.frontend_autocomputed": "False",
"root.attributes.rate_per_day.regex": "^-?\\d+(\\.\\d+)?$",
"root.attributes.days.field": "days",
"root.attributes.days.type": "N",
"root.attributes.days.required": "True",
"root.attributes.days.source_required": "True",
"root.attributes.days.server_generated": "False",
"root.attributes.days.autogenerated": "False",
"root.attributes.days.frontend_autocomputed": "False",
"root.attributes.days.regex": "^\\d+$",
"root.attributes.subtotal.field": "subtotal",
"root.attributes.subtotal.type": "N",
"root.attributes.subtotal.required": "False",
"root.attributes.subtotal.source_required": "True",
"root.attributes.subtotal.server_generated": "False",
"root.attributes.subtotal.autogenerated": "False",
"root.attributes.subtotal.frontend_autocomputed": "True",
"root.attributes.subtotal.regex": "^-?\\d+(\\.\\d+)?$",
"root.attributes.qr_value.field": "qr_value",
"root.attributes.qr_value.type": "S",
"root.attributes.qr_value.required": "True",
"root.attributes.qr_value.source_required": "True",
"root.attributes.qr_value.server_generated": "False",
"root.attributes.qr_value.autogenerated": "False",
"root.attributes.qr_value.frontend_autocomputed": "False",
"root.attributes.qr_value.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.expected_return_at.field": "expected_return_at",
"root.attributes.expected_return_at.type": "S",
"root.attributes.expected_return_at.required": "True",
"root.attributes.expected_return_at.source_required": "True",
"root.attributes.expected_return_at.server_generated": "True",
"root.attributes.expected_return_at.autogenerated": "False",
"root.attributes.expected_return_at.frontend_autocomputed": "False",
"root.attributes.expected_return_at.format": "iso8601",
"root.attributes.expected_return_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.rental_item_status.field": "rental_item_status",
"root.attributes.rental_item_status.type": "S",
"root.attributes.rental_item_status.required": "True",
"root.attributes.rental_item_status.source_required": "True",
"root.attributes.rental_item_status.server_generated": "False",
"root.attributes.rental_item_status.autogenerated": "False",
"root.attributes.rental_item_status.frontend_autocomputed": "False",
"root.attributes.rental_item_status.regex": "^[A-Za-z0-9_-]{1,64}$",
"root.attributes.created.field": "created",
"root.attributes.created.type": "S",
"root.attributes.created.required": "False",
"root.attributes.created.source_required": "True",
"root.attributes.created.server_generated": "True",
"root.attributes.created.autogenerated": "False",
"root.attributes.created.frontend_autocomputed": "False",
"root.attributes.created.format": "iso8601",
"root.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.updated.field": "updated",
"root.attributes.updated.type": "S",
"root.attributes.updated.required": "False",
"root.attributes.updated.source_required": "True",
"root.attributes.updated.server_generated": "True",
"root.attributes.updated.autogenerated": "False",
"root.attributes.updated.frontend_autocomputed": "False",
"root.attributes.updated.format": "iso8601",
"root.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$",
"root.attributes.deleted_at.field": "deleted_at",
"root.attributes.deleted_at.type": "S",
"root.attributes.deleted_at.required": "False",
"root.attributes.deleted_at.source_required": "False",
"root.attributes.deleted_at.server_generated": "True",
"root.attributes.deleted_at.autogenerated": "False",
"root.attributes.deleted_at.frontend_autocomputed": "False",
"root.attributes.deleted_at.format": "iso8601",
"root.attributes.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$"
}
Response Schema¶
{
"type": "object",
"properties.ok.type": "boolean",
"properties.accepted.type": "boolean",
"properties.is_committed.type": "boolean",
"properties.request_id.type": "string",
"properties.message.type": "string",
"properties.table.type": "string",
"properties.operation.type": "string",
"properties.primary_key.type": "string",
"properties.primary_key_value.type": "string",
"properties.item_write_count.type": "number",
"properties.child_write_count.type": "number"
}
Request Payload¶
{
"rental_item_id": "f4f98c59-c443-4b5d-9b3f-3b28530566b5",
"rental_id": "e303d34b-9c53-4a9d-a8b8-24534b5294c9",
"store_id": "3a20cd58-8524-4762-bd84-d361b70026f6",
"toolbox_id": "1540c80e-16ea-45dd-9f5d-0e3fc8470c0b",
"line_number": "1",
"equipment_name": "Sample Name",
"category": "value-001",
"included_items_text": "value-001",
"rate_per_day": "1",
"days": "1",
"subtotal": "1",
"qr_value": "value-001",
"expected_return_at": "2026-07-12T08:46:37Z",
"rental_item_status": "value-001",
"created": "2026-07-12T08:46:37Z",
"updated": "2026-07-12T08:46:37Z",
"deleted_at": "2026-07-12T08:46:37Z"
}
Response¶
{
"type": "object",
"properties.ok.type": "boolean",
"properties.accepted.type": "boolean",
"properties.is_committed.type": "boolean",
"properties.request_id.type": "string",
"properties.message.type": "string",
"properties.table.type": "string",
"properties.operation.type": "string",
"properties.primary_key.type": "string",
"properties.primary_key_value.type": "string",
"properties.item_write_count.type": "number",
"properties.child_write_count.type": "number"
}
CMD curl¶
curl -X POST "https://api.jefoffice.com/hardware/async-post/hardware-rental-items-post-one" -H "Content-Type: application/json" --data-raw "{\"rental_item_id\": \"f4f98c59-c443-4b5d-9b3f-3b28530566b5\", \"rental_id\": \"e303d34b-9c53-4a9d-a8b8-24534b5294c9\", \"store_id\": \"3a20cd58-8524-4762-bd84-d361b70026f6\", \"toolbox_id\": \"1540c80e-16ea-45dd-9f5d-0e3fc8470c0b\", \"line_number\": 1, \"equipment_name\": \"Sample Name\", \"category\": \"value-001\", \"included_items_text\": \"value-001\", \"rate_per_day\": 1, \"days\": 1, \"subtotal\": 1, \"qr_value\": \"value-001\", \"expected_return_at\": \"2026-07-12T08:46:37Z\", \"rental_item_status\": \"value-001\", \"created\": \"2026-07-12T08:46:37Z\", \"updated\": \"2026-07-12T08:46:37Z\", \"deleted_at\": \"2026-07-12T08:46:37Z\"}"
PowerShell curl¶
curl.exe -X POST "https://api.jefoffice.com/hardware/async-post/hardware-rental-items-post-one" -H "Content-Type: application/json" --data-raw '{"rental_item_id": "f4f98c59-c443-4b5d-9b3f-3b28530566b5", "rental_id": "e303d34b-9c53-4a9d-a8b8-24534b5294c9", "store_id": "3a20cd58-8524-4762-bd84-d361b70026f6", "toolbox_id": "1540c80e-16ea-45dd-9f5d-0e3fc8470c0b", "line_number": 1, "equipment_name": "Sample Name", "category": "value-001", "included_items_text": "value-001", "rate_per_day": 1, "days": 1, "subtotal": 1, "qr_value": "value-001", "expected_return_at": "2026-07-12T08:46:37Z", "rental_item_status": "value-001", "created": "2026-07-12T08:46:37Z", "updated": "2026-07-12T08:46:37Z", "deleted_at": "2026-07-12T08:46:37Z"}'